<?php
/**
 *
 */
class BaseWidget extends CWidget
{
    /**
     * Overridden function for using widget views from custom section
     *
     * @param string $viewName view name
     *
     * @return mixed|string
     */
    public function getViewFile($viewName)
    {
        $viewFile = parent::getViewFile($viewName);
        if (isset(Yii::app()->params['customViews']) && Yii::app()->params['customViews'] == true) {
            $customSection = realpath(Yii::getPathOfAlias('site.custom'));
            $commonSection = realpath(Yii::getPathOfAlias('site.common'));
            $frontendSection = realpath(Yii::getPathOfAlias('site.frontend'));
            $customView = str_replace(array($commonSection, $frontendSection), $customSection, $viewFile);
            if (file_exists($customView)) {
                return $customView;
            }
        }
        return $viewFile;
    }
}
