<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * This module manage by friends functionality.
 */
class FriendsModule extends CWebModule
{
    public $hashSalt = '012rj';

    public $notificationsEmail;

    private $_assetsUrl;


    public function init()
    {
        parent::init();

        $this->setImport(array(
            'friends.models.*'
        ));
    }

    /**
     * Publish module assets and return url
     *
     * @return string
     */
    public function getAssetsUrl()
    {
        if (!$this->_assetsUrl) {
            $this->_assetsUrl = Yii::app()->assetManager->publish(Yii::getPathOfAlias('friends.assets'), true);
        }
        return $this->_assetsUrl;
    }

    /**
     * Translates a message to the specified language.
     *
     * @param string $str    message
     * @param array  $params params
     * @param string $dic    dictionary
     *
     * @return string
     */
    public static function t($str = '', $params = array(), $dic = 'core')
    {
        return Yii::t("FriendsModule." . $dic, $str, $params);
    }

    /**
     * Encrypt string
     *
     * @param string $string string
     *
     * @return string
     */
    public static function encrypting($string = "")
    {
        return md5($string . Yii::app()->getModule('friends')->hashSalt);
    }
}
