<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 * 
 * View for MarkaSuggestionsWidget, which renders the AJAX code that contacts the SuggestionsController
 * to get and display suggestions from the Marketing Automation tracker.
 * This view renders everything in a DIV element, into which it also places
 * the suggestions received from the server.
 */

$destElementId = uniqid('marka-');

?>
<div id="<?php echo $destElementId?>">
    <script>
        (function() {
            var url = '<?php echo $url ?>';
            var destElementId = '#<?php echo $destElementId?>';
            $.ajax({
                cache: false,
                dataType: 'html',
                error: function(jqXHR, textStatus) {
                    console.error('Marketing Automation Suggestions request failed with status code ' + jqXHR.status + '. Message: ' + textStatus);
                },
                success: function(data, textStatus, jqXHR) {
                    if (data) {
                        $(function() {
                            $(destElementId).append(data);
                        });
                    } else {
                        console.info('Marketing Automation Suggestions request was successful, but there were no suggestions.');
                    }
                },
                timeout: 10000,
                type: 'GET',
                url: url
            });
        })();
    </script>
</div>