<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
class SimpleSearchWidget extends BaseJuiWidget
{

    /**
     * @var string $useAutosuggest defines if Autosuggestion should be used for current widget
     */
    public $useAutosuggest = true;

    /**
     * @var string $uniqClassName system generated unique css ckass name
     */
    public $uniqClassName;

    /**
     * @var string $landingPage defines action for search form
     */
    public $landingPage = '';


    /**
     * Widget run method.
     *
     * @return void
     */

    public function run()
    {
        $lang = Yii::app()->language;
        $this->uniqClassName = uniqid('simpleSearch');

        /*  if we did not configure landing page as widget param then take it from settings */
        if ($this->landingPage == '') {
            $this->landingPage = SearchModule::getLandingPage($lang);
        }

        $this->render('SimpleSearchWidget', array('landingPage' => $this->landingPage));
    }
}
