<?php
/**
 *
 */
class GoogleService extends GoogleOpenIDService implements IUserFields
{

    /**
     * @var array the OpenID required attributes.
     */
    protected $requiredAttributes = array(
        'firstname' => array('firstname', 'namePerson/first'),
        'lastname' => array('lastname', 'namePerson/last'),
        'email' => array('email', 'contact/email'),
        'language' => array('language', 'pref/language'),
    );

    /**
     * Fetch attributes array.
     * @return boolean whether the attributes was successfully fetched.
     */
    protected function fetchAttributes()
    {
        $this->attributes['name'] = $this->attributes['firstname'] . ' ' . $this->attributes['lastname'];
        $this->attributes['displayId'] = $this->attributes['email'];
        return true;
    }

    public function getName()
    {
        return $this->attributes['name'];
    }

    public function getEmail()
    {
        return $this->attributes['email'];
    }

    public function getError()
    {
        return UserModule::t('Google authorization error');
    }
}