<?php

/**
 * 
 **/
class PoolController extends CController
{
    
    /**
     * This action recieve user answers for pool question
     *
     * @return void
     * @author Me
     **/
    public function actionSubmit()
    {
        if(!isset($_POST['question'], $_POST['answer'], $_POST['additionalFields'])) {
            throw new CHttpException(400, 'Bad fields');
        }

        if(is_array($_POST['answer'])) {
            $answers = Answer::model()->findAllByAttributes(array('question_id' => $_POST['question'], 'id' => $_POST['answer']));
            if(empty($answers)){
                throw new CHttpException(400);
            }
            foreach($answers as $answ)
            {
                $userAnswer = new UserAnswer();
                $userAnswer->answer_id = $answ->id;
                $userAnswer->user_id = $this->module->getUserId();
                $userAnswer->additional = $_POST['additionalFields'];
                if(!$userAnswer->save()) {
                    throw new Exception(print_r($userAnswer->getErrors(), true));
                }
            }
        } else {
            $answer = Answer::model()->findByAttributes(array('question_id' => $_POST['question'], 'id' => $_POST['answer']));
            if(empty($answer)){
                throw new CHttpException(400);
            }
            $userAnswer = new UserAnswer();
            $userAnswer->answer_id = $answer->id;
            $userAnswer->user_id = $this->module->getUserId();
            $userAnswer->additional = $_POST['additionalFields'];
            if(!$userAnswer->save()) {
                throw new Exception(print_r($userAnswer->getErrors(), true));
            }
        }
        $this->module->setUserVoted($_POST['question']);
        if(isset($_POST['forwardTo'])) {
            $this->redirect($_POST['forwardTo']);
        }

    }

    public function actionVoteResults()
    {
        if(isset($_GET['options'])){
            $options = $_GET['options'];
            $options = unserialize(Yii::app()->securityManager->validateData($options));
            if($options !== false) {
                $this->renderpartial('voteResults', array('options' => $options));
                return;
            }
        }

        throw new CHttpException(400, 'Bad options');
    }

    public function actionReset($id)
    {
        $this->module->setUserUnvoted($id);
        if(isset($_SERVER['HTTP_REFERER'])) {
            $this->redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function actionDownloadCsv($id)
    {
        if(!$this->module->isAdmin()){
            throw new CHttpException(400, 'You have no permission');    
        };
        $question = Question::model()
            ->with(array('answers' => array('condition' => 'active = true', 'with' => array('userAnswersCount'))))
            ->findByPk($id);
        $answers = $question->answers;
        usort($answers, function($a, $b){ return $a->order - $b->order;});
        $csv = "Question| Answer| Votes\n";
        $totalAnswers = 0;
        foreach($answers as $answ) {
            $csv .= "{$question->text}| {$answ->text}| {$answ->userAnswersCount}\n";
        }
        Yii::app()->request->sendFile('report.csv', $csv, null, false);
        die;
    }
}
